DrDamage

41 - DrDamage isn't loading for Death Knights created after 3.0.8.

What is your Race, Class and Level?
Draenei/Tauren DK, lvl55

What action bar mod do you use, if any?
Bartender4

What is the expected output? What do you see instead?
The addon isn't loading for my freshly created DK toons; it's working with my pre-3.0.8. death knight.

What version of DrDamage are you using?
r715

Do you have an error log of what happened?
DrDamage-1.6.0b\\Caster.lua:8 AceAddon: AceOO-2.0: Library \"FuBarPlugin-2.0\" does not exist.
Ace2\\AceLibrary\\AceLibrary.lua:122 in function <Interface\\AddOns\\Ace2\\AceLibrary\\AceLibrary.lua:75
(tail call): ?:
(tail call): ?:
AceAddon-2.0-91091 (Ace2):1030: in function `new'
DrDamage-1.6.0b\\Caster.lua:8 in main chunk

DrDamage-1.6.0b\\Melee.lua:7 AceAddon: AceOO-2.0: Library \"FuBarPlugin-2.0\" does not exist.
Ace2\\AceLibrary\\AceLibrary.lua:122 in function <Interface\\AddOns\\Ace2\\AceLibrary\\AceLibrary.lua:75
(tail call): ?:
(tail call): ?:
AceAddon-2.0-91091 (Ace2):1030: in function `new'
DrDamage-1.6.0b\\Melee.lua:7 in main chunk

DrDamage-1.6.0b\\Aura.lua:3 attempt to index global 'DrDamage' (a nil value)

DrDamage-1.6.0b\\DrDamage.lua:73 attempt to index local 'DrDamage' (a nil value)

DrDamage-1.6.0b\\Data\\DeathKnight.lua:7 attempt to index global 'DrDamage' (a nil value)

Please provide any additional information below.
I have the FuBarPlugin-2.0 library properly embedded, so I have no idea why it doesn't work with my new characters.

User When Change
karzon13 Apr 29, 2009 at 18:22 UTC Changed status from New to Fixed
karzon13 Apr 29, 2009 at 18:22 UTC Changed assigned to from Gagorian to karzon13
Ydrisselle Jan 26, 2009 at 11:17 UTC Create

You must login to post a comment. Don't have an account? Register to get one!

  • 3 comments
  • Avatar of karzon13 karzon13 Apr 29, 2009 at 18:22 UTC - 0 likes

    This should be fixed in the latest beta release.

  • Avatar of Phanx Phanx Apr 28, 2009 at 18:29 UTC - 0 likes

    Also this:

    DrDamage-1.6.0b\\Caster.lua:8 AceAddon: AceOO-2.0: Library \"FuBarPlugin-2.0\" does not exist.
    

    Makes it pretty clear that the problem is that you're missing the library FuBarPlugin-2.0. If you run standalone libraries, just enable FuBarPlugin-2.0 on your new death knight(s). If you don't, you somehow failed at installing DrDamage, and should delete it and redownload; make sure you do NOT get the version with the "-nolib" prefix.

  • Avatar of kouik kouik Feb 04, 2009 at 14:48 UTC - 0 likes

    Hello,

    I can't replicate your problem, but what is suprising for me is that line :

    DrDamage-1.6.0b\\Caster.lua:8 AceAd

    Does this is the same installation folder than for your other deathknight ? It seems that you have an older version in this folder.

  • 3 comments

Facts

Last updated
Apr 29, 2009
Reported
Jan 26, 2009
Status
Fixed - Developer made requested changes. QA should verify.
Type
Defect - A shortcoming, fault, or imperfection
Priority
Medium - Normal priority.
Votes
0

Reported by

Possible assignees